Page MenuHomePhabricator

Provide the ability to view prices in multiple currencies
Closed, ResolvedPublic

Description

We used to provide the ability to view prices in multiple currencies on the previous store themes. Could we add it to this theme as well?

Event Timeline

vshchepakina assigned this task to HuiZSF.
vshchepakina raised the priority of this task from to Needs Triage.
vshchepakina updated the task description. (Show Details)
vshchepakina added a project: Shop-Theme.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 12:55 AM
vshchepakina moved this task from Backlog to Next Up on the Shop-Theme board.Jun 3 2015, 5:08 PM

I'm working on this task currently. @vshchepakina @violetto
I need a decision of that where should we place the currencies menu on the page.

It's typically found on the main site toolbar, but since ours is full at the moment (until we remove "Sign In"), the next best venue is here: F174500

When user changes the currency once, it changes for all other pages in the store.

Here's a dropdown menu spec. You can work out the details with @goenning.

@violetto @vshchepakina
As we will merge login and register pages, so we will get more room in the toolbar. I made a mockup of the currencies picker menu here:

Shopify provides the API for multiple currencies support, and it only can be implemented as a drop-down selector, so I am going to use the way presented in the screenshot.

Also, is that ok if we use country flags here? (the flag is colorful but the icon the card is not.)

New drop-down menu appearance

We should add flag for the rest in the menu if we're deciding to go that route. @goenning, what do you think?

Here is the spec for any menu that we're using in the foundation. Here's the difference:

@violetto
Got it.
It's able to add flags to the rest of options. And I will unify the appearance with the spec soon when we decide the new locate of the currency picker.


Updated the preview theme.
The border color is different from the spec as the picker is placed next to the cart button in this preview.
And added the flag for each option. Does it look good? @violetto @goenning

It seems great! @violetto What do you think about the padding?

HuiZSF closed this task as Resolved.Jul 1 2015, 5:34 PM
HuiZSF set Security to None.